For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Resources
Get started
ReferenceGuidesExamplesChangelog
ReferenceGuidesExamplesChangelog
  • Data API
    • Introduction
  • Token
    • GETGet Authorization User Info
    • GETGet Authorization Info
  • Sites
    • GETList Sites
    • GETGet Site
    • GETGet Custom Domains
    • POSTPublish Site
  • Pages and Components
  • CMS
  • Forms
  • Custom Code
  • Assets
  • Comments
    • GETList Comment Threads
    • GETGet Comment Thread
    • GETList Comment Replies
  • Ecommerce
  • Webhooks
    • GETList Webhooks
    • GETGet Webhook
    • POSTCreate Webhook
    • DELRemove Webhook
  • Site Configuration
      • GETList Google Tags
      • PATCHUpdate Google Tag
      • DELDelete Google Tag
      • DELDelete Google Tags
  • Enterprise
LogoLogo
Resources
Get started
Site ConfigurationGoogle Tag Manager

Update Google Tag

PATCH
https://api.webflow.com/v2/sites/:site_id/integrations/google_tags
PATCH
/v2/sites/:site_id/integrations/google_tags
$curl -X PATCH https://api.webflow.com/v2/sites/580e63e98c9a982ac9b8b741/integrations/google_tags \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "googleTagIds": [
> {
> "displayName": "Primary Google Analytics",
> "tagId": "G-1A2B3C4D5E",
> "order": 1
> }
> ]
>}'
1{
2 "googleTagIds": [
3 {
4 "displayName": "Primary Google Analytics",
5 "tagId": "G-1A2B3C4D5E",
6 "order": 1
7 }
8 ]
9}

Add or update Google Tag IDs for a site. Existing tags not referenced in the request are preserved. A site may have a maximum of 25 tags total.

order is optional on input — it is auto-assigned for new tags and returned on all tags in the response.

Required scope: sites:write

Was this page helpful?
Previous

Delete Google Tag

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

site_idstringRequiredformat: "objectid"
Unique identifier for a Site

Request

A list of Google Tags configured for a site.
googleTagIdslist of objectsRequired
List of Google Tags configured for a site, sorted by order.

Response

Request was successful
googleTagIdslist of objects
List of Google Tags configured for a site, sorted by order.

Errors

400
Bad Request Error
401
Unauthorized Error
404
Not Found Error
429
Too Many Requests Error
500
Internal Server Error